Debian Bug report logs - #464649
freebsd-sendpr: bashism in /bin/sh script

version graph

Package: freebsd-sendpr; Maintainer for freebsd-sendpr is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for freebsd-sendpr is src:freebsd-sendpr.

Reported by: Raphael Geissert <atomo64@gmail.com>

Date: Fri, 8 Feb 2008 03:27:09 UTC

Severity: important

Found in version freebsd-sendpr/3.113+5.3-7

Fixed in version freebsd-sendpr/3.113+5.3-8

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#464649; Package freebsd-sendpr. Full text and rfc822 format available.

Message #3 received at maintonly@bugs.debian.org (full text, mbox):

From: Raphael Geissert <atomo64@gmail.com>
To: maintonly@bugs.debian.org
Subject: freebsd-sendpr: bashism in /bin/sh script
Date: Thu, 7 Feb 2008 21:20:27 -0600
Package: freebsd-sendpr
Severity: important
Version: 3.113+5.3-7
User: debian-release@lists.debian.org
Usertags: goal-dash

Hello maintainer,

While performing an archive wide checkbashisms (from the 'devscripts' package) 
check I've found your package containing several /bin/sh scripts making 
use of a bashism.

checkbashisms' output:
> possible bashism in ./usr/bin/sendbug line 252 ('((' should be '$(('):
>           { printf ("%-'$l'.'$l's", $0); if ((++i % '$c') == 0) { print ""
> } } possible bashism in ./usr/bin/sendbug line 280 (trap with signal
> numbers): trap 'echo "$COMMAND: Aborting ... saving unfinished PR into
> /tmp/pr.$$"; rm -f $REF ; mv $TEMP /tmp/pr.$$; xs=1; exit' 1 2 3 13 15
> possible bashism in ./usr/bin/sendbug line 355 ('((' should be '$(('): if
> ((++i % '$c') == 0) { printf "\nSEND-PR: " } }
> possible bashism in ./usr/bin/send-pr line 252 ('((' should be '$(('):
>           { printf ("%-'$l'.'$l's", $0); if ((++i % '$c') == 0) { print ""
> } } possible bashism in ./usr/bin/send-pr line 280 (trap with signal
> numbers): trap 'echo "$COMMAND: Aborting ... saving unfinished PR into
> /tmp/pr.$$"; rm -f $REF ; mv $TEMP /tmp/pr.$$; xs=1; exit' 1 2 3 13 15
> possible bashism in ./usr/bin/send-pr line 355 ('((' should be '$(('): if
> ((++i % '$c') == 0) { printf "\nSEND-PR: " } }


Not using bash as /bin/sh would lead to errors. Please be aware that although 
bash is currently the default /bin/sh there's a release goal for Lenny to 
make dash the default /bin/sh[1].

If you want more information about dash as /bin/sh, you can read:
http://lists.debian.org/debian-release/2008/01/msg00189.html
https://wiki.ubuntu.com/DashAsBinSh

[1]http://release.debian.org/lenny/goals.txt

Thank you,
-- 
Atomo64 - Raphael

Please avoid sending me Word, PowerPoint or Excel attachments.
See http://www.gnu.org/philosophy/no-word-attachments.html




Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Raphael Geissert <atomo64@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #8 received at 464649-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 464649-close@bugs.debian.org
Subject: Bug#464649: fixed in freebsd-sendpr 3.113+5.3-8
Date: Sun, 17 Feb 2008 21:47:03 +0000
Source: freebsd-sendpr
Source-Version: 3.113+5.3-8

We believe that the bug you reported is fixed in the latest version of
freebsd-sendpr, which is due to be installed in the Debian FTP archive:

freebsd-sendpr_3.113+5.3-8.diff.gz
  to pool/main/f/freebsd-sendpr/freebsd-sendpr_3.113+5.3-8.diff.gz
freebsd-sendpr_3.113+5.3-8.dsc
  to pool/main/f/freebsd-sendpr/freebsd-sendpr_3.113+5.3-8.dsc
freebsd-sendpr_3.113+5.3-8_all.deb
  to pool/main/f/freebsd-sendpr/freebsd-sendpr_3.113+5.3-8_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 464649@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated freebsd-sendpr package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 17 Feb 2008 22:25:35 +0100
Source: freebsd-sendpr
Binary: freebsd-sendpr
Architecture: source all
Version: 3.113+5.3-8
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 freebsd-sendpr - FreeBSD fork of send-pr (from GNU GNATS)
Closes: 464649
Changes: 
 freebsd-sendpr (3.113+5.3-8) unstable; urgency=low
 .
   * Fix bashisms (closes: bug#464649)
     - debian/patches/004_bashims.patch: New file.
   * Now using Standards-Version 3.7.2 (no changes needed).
Files: 
 21982bcebbfa5cb07db30fc887afd4c6 778 utils extra freebsd-sendpr_3.113+5.3-8.dsc
 621b367166ba279e8d8cbffa7b2c4459 4053 utils extra freebsd-sendpr_3.113+5.3-8.diff.gz
 791ce66ee59f2e18444300f2426200ef 32822 utils extra freebsd-sendpr_3.113+5.3-8_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHuKdIw3ao2vG823MRAnv4AJ9/1OFHb9js07xxk/aIoHTGnv8cdQCgiHfD
S4v4hTP0bQjfuNWXXeZS7QM=
=6nvq
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 28 Mar 2008 07:39:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:32:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.